## opennms-34.1.0-source.tar.gz

=== Makefile ===
##
# Makefile to build OpenNMS docs
##
.PHONY: help docs docs-docker docs-deps docs-deps-docker docs-serve docs-serve-stop docs-clean docs-clean-cache clean-all

.DEFAULT_GOAL := docs

SHELL                := /bin/bash -o nounset -o pipefail -o errexit
WORKING_DIRECTORY    := $(shell pwd)
DOCKER_ANTORA_IMAGE  := opennms/antora:3.1.4-b10433
SITE_FILE            := antora-playbook-local.yml

help:
	@echo ""
	@echo "Makefile to build artifacts for OpenNMS"
	@echo ""
	@echo "Requirements to build the docs:"
	@echo "  * Native: Antora installed globally with antora binary in the search path"
	@echo "  * Docker: Docker installed with access to the official antora/antora image on DockerHub"
	@echo ""
	@echo "Targets:"
	@echo "  help:             Show this help"
	@echo "  docs-deps:        Test requirements to run Antora from the local system"
	@echo "  docs-deps-docker: Test requirements to run Antora with Docker"
	@echo "  docs:             Build Antora docs with a local install Antora, default target"
	@echo "  docs-docker:      Build Antora docs with from Docker"
	@echo "  docs-clean:       Clean all build artifacts in build and public directory"
	@echo "  docs-clean-cache: Clear git repository cache and UI components from .cache directory"
	@echo "  clean-all:        Clean build artifacts and Antora cache"
	@echo "  docs-serve:       Run a local web server with Docker and Nginx to serve the docs locally"
	@echo "  docs-serve-stop:  Stop the local web server for serving the docs"
	@echo ""
	@echo "Arguments: "
	@echo "  DOCKER_ANTORA_IMAGE: Antora Docker image to build the documentation, default: $(DOCKER_ANTORA_IMAGE)"
	@echo "  SITE_FILE:           Antora site.yml file to build the site"
	@echo ""
	@echo "Example: "
	@echo "  make DOCKER_ANTORA_IMAGE=antora/antora:latest with-docker"
	@echo ""

deps-docs:
	@command -v antora

deps-docs-docker:
	@command -v docker

docs: deps-docs
	@echo "Build Antora docs..."
	antora --stacktrace $(SITE_FILE)

docs-docker: deps-docs-docker
	@echo "Build Antora docs with docker ..."
	docker run --rm -v $(WORKING_DIRECTORY):/antora $(DOCKER_ANTORA_IMAGE) --stacktrace generate $(SITE_FILE)

docs-clean:
	@echo "Delete build and public artifacts ..."
	@rm -rf build public

docs-clean-cache:
	@echo "Clean Antora cache for git repositories and UI components ..."
	@rm -rf .cache

clean-all: docs-clean docs-clean-cache

docs-serve:
	@echo "Start Nginx with public folder as html root ..."
	docker run --rm -v $(WORKING_DIRECTORY)/public:/usr/share/nginx/html --name opennms-docs -p 8080:80 -d nginx

docs-serve-stop:
	@echo "Stopping Nginx docs server ..."
	docker stop opennms-docs

clean-all: docs-clean docs-clean-cache

=== opennms-container/Makefile ===
TOPTARGETS := all help build test install uninstall clean clean-all

SUBDIRS := $(patsubst %/Makefile,%,$(wildcard */Makefile))

$(TOPTARGETS): $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

.PHONY: $(TOPTARGETS) $(SUBDIRS)

=== opennms-container/core/Makefile ===
##
# Makefile to build Horizon container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Horizon
DOCKER_PROJECT          := horizon
TARBALL                 := ../../opennms-full-assembly/target/*-core.tar.gz

include ../common.mk

=== opennms-container/minion/Makefile ===
##
# Makefile to build Minion container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Minion
DOCKER_PROJECT          := minion
TARBALL                 := ../../opennms-assemblies/minion/target/*minion*.tar.gz
TAR_STRIP_COMPONENTS    := 1
ADDITIONAL_TARGETS      := minion-config-schema.yml

include ../common.mk

=== opennms-container/sentinel/Makefile ===
##
# Makefile to build Sentinel container image with Docker
##

CONTAINER_TYPE_FRIENDLY := Sentinel
DOCKER_PROJECT          := sentinel
TARBALL                 := ../../opennms-assemblies/sentinel/target/*sentinel*.tar.gz
TAR_STRIP_COMPONENTS    := 1

include ../common.mk

=== debian/changelog ===
opennms (34.1.0-1) stable; urgency=low

  * Release 34.1.0 contains a couple of bug fixes, enhancements and documentation updates.
    Starting with this release when upgrading OpenNMS, `custom.properties`, 
    `config.properties` and `opennms.properties` files will be overridden.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.1.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Nov 2025 10:20:09 -0500

opennms (34.0.2-1) stable; urgency=low

  * Release 34.0.2 contains a couple of bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Oct 2025 13:49:36 -0400

opennms (34.0.1-1) stable; urgency=low

  * Release 34.0.1 contains bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.1/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2025 13:20:00 -0500

opennms (34.0.0-1) stable; urgency=low

  * Release 34.0.0 contains a bunch of changes, including menu improvments,
    updates to structured node list, IPFix support and more.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Aug 2025 13:20:00 -0500

opennms (33.1.8-1) stable; urgency=medium

  * Release 33.1.8 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.8/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Jul 2025 14:11:00 -0500

opennms (33.1.7-1) stable; urgency=medium

  * Release 33.1.7 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.7/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Jun 2025 14:11:00 -0500

opennms (33.1.6-1) stable; urgency=medium

  * Release 33.1.6 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.6/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 14 May 2025 14:11:00 -0500

opennms (33.1.5-1) stable; urgency=medium

  * Release 33.1.5 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.5/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Apr 2025 14:11:00 -0500

opennms (33.1.4-1) stable; urgency=medium

  * Release 33.1.4 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.4/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Mar 2025 14:11:00 -0500

opennms (33.1.3-1) stable; urgency=medium

  * Release 33.1.3 contains a couple of bug fixes and few enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.3/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Feb 2025 14:11:00 -0500

opennms (33.1.2-1) stable; urgency=medium

  * Release 33.1.2 contains a bug fix and a new feature.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Jan 2024 10:30:00 -0500

opennms (33.1.1-1) stable; urgency=medium

  * Release 33.1.1 contains bug fixes, security updates and new features.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.1/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Dec 2024 14:30:00 -0500

opennms (33.0.10-1) stable; urgency=medium
  
  * Release 33.0.10 contains a bunch of security updates, bug fix and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.10/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Nov 2024 15:57:00 -0500

opennms (33.0.9-1) stable; urgency=medium
  
  * Release 33.0.9 contains a bunch of security updates, bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.9/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 08 Oct 2024 10:24:00 -0500

opennms (33.0.8-1) stable; urgency=medium
  
  * Release 33.0.8 contains a bunch of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.8/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2024 15:05:00 -0500

opennms (33.0.7-1) stable; urgency=medium
  
  * Release 33.0.7 contains a bunch of security updates.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.7/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 13 Aug 2024 16:54:00 -0500

opennms (33.0.6-1) stable; urgency=medium
  
  * Release 33.0.6 contains a couple of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.6/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 09 Jul 2024 16:54:00 -0500

opennms (33.0.5-1) stable; urgency=medium
  
  * Release 33.0.5 contains a bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.5/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Jun 2024 10:21:00 -0500

opennms (33.0.4-2) stable; urgency=medium
  
  * Re-release of 33.0.4 with a small fix.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.4/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 May 2024 15:41:00 -0500

opennms (33.0.4-1) stable; urgency=medium
  


=== opennms-assemblies/minion/src/main/filtered/debian/changelog ===
opennms-minion (34.1.0-1) stable; urgency=low

  * Release 34.1.0 contains a couple of bug fixes, enhancements and documentation updates.
    Starting with this release when upgrading OpenNMS, `custom.properties`, 
    `config.properties` and `opennms.properties` files will be overridden.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.1.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Nov 2025 10:20:09 -0500

opennms-minion (34.0.2-1) stable; urgency=low

  * Release 34.0.2 contains a couple of bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Oct 2025 13:49:36 -0400

opennms-minion (34.0.1-1) stable; urgency=low

  * Release 34.0.1 contains bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.1/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2025 13:20:00 -0500

opennms-minion (34.0.0-1) stable; urgency=low

  * Release 34.0.0 contains a bunch of changes, including menu improvments,
    updates to structured node list, IPFix support and more.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Aug 2025 13:20:00 -0500

opennms-minion (33.1.8-1) stable; urgency=medium

  * Release 33.1.8 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.8/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Jul 2025 14:11:00 -0500
 

opennms-minion (33.1.7-1) stable; urgency=medium

  * Release 33.1.7 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.7/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Jun 2025 14:11:00 -0500

opennms-minion (33.1.6-1) stable; urgency=medium

  * Release 33.1.6 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.6/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 14 May 2025 14:11:00 -0500
 
 opennms-minion (33.1.5-1) stable; urgency=medium

  * Release 33.1.5 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.5/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Apr 2025 14:11:00 -0500

opennms-minion (33.1.4-1) stable; urgency=medium
  
  * Release 33.1.4 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.4/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Mar 2025 14:12:00 -0500

opennms-minion (33.1.3-1) stable; urgency=medium
  
  * Release 33.1.3 contains a couple of bug fixes and few enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.3/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Feb 2025 14:12:00 -0500

opennms-minion (33.1.2-1) stable; urgency=medium
  
  * Release 33.1.2 contains a bug fix and a new feature.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Jan 2024 10:30:00 -0500

opennms-minion (33.1.1-1) stable; urgency=medium
  
  * Release 33.1.1 contains bug fixes, security updates and new features.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.1/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Dec 2024 14:30:00 -0500

opennms-minion (33.0.10-1) stable; urgency=medium
  
  * Release 33.0.10 contains a bunch of security updates, bug fix and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.10/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Nov 2024 15:57:00 -0500

opennms-minion (33.0.9-1) stable; urgency=medium
  
  * Release 33.0.9 contains a bunch of security updates, bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.9/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 08 Oct 2024 10:24:00 -0500

opennms-minion (33.0.8-1) stable; urgency=medium
  
  * Release 33.0.8 contains a bunch of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.8/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2024 15:05:00 -0500

opennms-minion (33.0.7-1) stable; urgency=medium
  
  * Release 33.0.7 contains a bunch of security updates.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.7/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 13 Aug 2024 16:54:00 -0500

opennms-minion (33.0.6-1) stable; urgency=medium
  
  * Release 33.0.6 contains a couple of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.6/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 09 Jul 2024 16:54:00 -0500

opennms-minion (33.0.5-1) stable; urgency=medium
  
  * Release 33.0.5 contains a bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.5/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Jun 2024 10:21:00 -0500

opennms-minion (33.0.4-1) stable; urgency=medium
  
  * Release 33.0.4 contains a bunch of bug fixes and enhancements.
    
    For details on what has changed, see:


=== opennms-assemblies/sentinel/src/main/filtered/debian/changelog ===
opennms-sentinel (34.1.0-1) stable; urgency=low

  * Release 34.1.0 contains a couple of bug fixes, enhancements and documentation updates.
    Starting with this release when upgrading OpenNMS, `custom.properties`, 
    `config.properties` and `opennms.properties` files will be overridden.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.1.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Nov 2025 10:20:09 -0500

opennms-sentinel (34.0.2-1) stable; urgency=low

  * Release 34.0.2 contains a couple of bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Oct 2025 13:49:36 -0400

opennms-sentinel (34.0.1-1) stable; urgency=low

  * Release 34.0.1 contains bug fixes, enhancements and a new feature.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.1/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2025 13:20:00 -0500

opennms-sentinel (34.0.0-1) stable; urgency=low

  * Release 34.0.0 contains a bunch of changes, including menu improvments,
    updates to structured node list, IPFix support and more.

    For details on what has changed, see:
    https://docs.opennms.com/horizon/34.0.0/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Aug 2025 13:20:00 -0500

opennms-sentinel (33.1.8-1) stable; urgency=medium

  * Release 33.1.8 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.8/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Jul 2025 14:11:00 -0500

opennms-sentinel (33.1.7-1) stable; urgency=medium

  * Release 33.1.7 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.7/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Jun 2025 14:11:00 -0500

opennms-sentinel (33.1.6-1) stable; urgency=medium

  * Release 33.1.6 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.6/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 14 May 2025 14:11:00 -0500
 
 opennms-sentinel (33.1.5-1) stable; urgency=medium

  * Release 33.1.5 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.5/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 8 Apr 2025 14:11:00 -0500

opennms-sentinel (33.1.4-1) stable; urgency=medium
  
  * Release 33.1.4 contains bug fixes, security updates and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.4/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Mar 2025 14:10:00 -0500

opennms-sentinel (33.1.3-1) stable; urgency=medium
  
  * Release 33.1.3 contains a couple of bug fixes and few enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.3/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 11 Feb 2025 14:10:00 -0500

opennms-sentinel (33.1.2-1) stable; urgency=medium
  
  * Release 33.1.2 contains a bug fix and a new feature.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.2/index.html

 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 07 Jan 2024 10:30:00 -0500

opennms-sentinel (33.1.1-1) stable; urgency=medium
  
  * Release 33.1.1 contains bug fixes, security updates and new features.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.1.1/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Dec 2024 14:30:00 -0500

opennms-sentinel (33.0.10-1) stable; urgency=medium
  
  * Release 33.0.10 contains a bunch of security updates, bug fix and enhancements.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.10/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 12 Nov 2024 15:57:00 -0500

opennms-sentinel (33.0.9-1) stable; urgency=medium
  
  * Release 33.0.9 contains a bunch of security updates, bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.9/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 08 Oct 2024 10:24:00 -0500

opennms-sentinel (33.0.8-1) stable; urgency=medium
  
  * Release 33.0.8 contains a bunch of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.8/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 10 Sep 2024 15:05:00 -0500

opennms-sentinel (33.0.7-1) stable; urgency=medium
  
  * Release 33.0.7 contains a bunch of security updates.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.7/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 13 Aug 2024 16:54:00 -0500

opennms-sentinel (33.0.6-1) stable; urgency=medium
  
  * Release 33.0.6 contains a couple of bug fixes and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.6/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 09 Jul 2024 16:54:00 -0500

opennms-sentinel (33.0.5-1) stable; urgency=medium
  
  * Release 33.0.5 contains a bug fix and an enhancement.
    
    For details on what has changed, see:
    https://docs.opennms.com/horizon/33.0.5/index.html
 
 -- OpenNMS Release Manager <opennms@opennms.org>  Tue, 17 Jun 2024 10:21:00 -0500

opennms-sentinel (33.0.4-1) stable; urgency=medium
  
  * Release 33.0.4 contains a bunch of bug fixes and enhancements.
    


=== debian/control ===
Source: opennms
Section: contrib/net
Priority: optional
Maintainer: Benjamin Reed <ranger@opennms.org>
Build-Depends: oracle-java17-installer | jdk-17 | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | openjdk-17-jdk-headless | openjdk-17-jdk | java17-jdk | temurin-17-jdk, debhelper (>= 5.0.42), dpkg-dev, po-debconf (>= 1.0.5), rsync
Standards-Version: 3.7.3

Package: opennms
Architecture: all
Depends: opennms-common (=${binary:Version}), opennms-db (=${binary:Version}), opennms-server (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Recommends: opennms-source (=${binary:Version}), jdk-17 | openjdk-17-jdk-headless | openjdk-17-jdk | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | java17-jdk
Suggests: opennms-doc
Description: Enterprise-grade Open-source Network Management Platform (Full Install)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the components needed for a reasonable default
 installation of OpenNMS.

Package: opennms-source
Architecture: all
Depends: opennms-common (=${binary:Version}), opennms-webapp-jetty (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Source)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package contains the source tarball to be installed alongside the web UI
 for AGPL-compliance.

Package: opennms-db
Architecture: all
Depends: opennms-common (=${binary:Version}), postgresql-15 | postgresql-14 | postgresql-13, iplike-pgsql15 (>= 2.3.0) | iplike-pgsql14 (>= 2.3.0) | iplike-pgsql13 (>= 2.3.0), debconf
Description: Enterprise-grade Open-source Network Management Platform (Database)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the database components required by OpenNMS.
 .
 This package may be installed on a separate machine from the opennms-server
 package.

Package: opennms-server
Architecture: all
Depends: opennms-common (=${binary:Version}), libopennms-java (=${binary:Version}), libopennmsdeps-java (=${binary:Version}), mailx, jrrd2
Suggests: postgresql-client-15 | postgresql-client-14 | postgresql-client-13
Recommends: haveged
Description: Enterprise-grade Open-source Network Management Platform (Daemon)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS backend daemon responsible for discovery,
 polling, data collection, notifications, etc (basically, anything that is not
 part of the web UI).

Package: opennms-jmx-config-generator
Architecture: all
Depends: opennms-common (=${binary:Version}), adoptopenjdk-17-openj9xl-jre | adoptopenjdk-17-openj9-jre | adoptopenjdk-17-hotspot-jre | openjdk-17-jre-headless | openjdk-17-jre | temurin-17-jdk | jdk-17
Description: Enterprise-grade Open-source Network Management Platform (JMX Config Generator)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This is a utility for generating JMX configuration files.

Package: opennms-webapp-jetty
Architecture: all
Depends: opennms-server (=${binary:Version})
Conflicts: opennms-webapp
Description: Enterprise-grade Open-source Network Management Platform (Jetty Web UI)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the Jetty version of the OpenNMS web UI, which runs
 embedded in the main OpenNMS daemon.  The default URL for this
 web UI is 'http://yourhost:8180/opennms/'

Package: opennms-webapp-hawtio
Architecture: all
Depends: opennms-server (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Hawtio Console)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This webapp contains the Hawtio console.

Package: opennms-common
Architecture: all
Depends: ${perl:Depends}, libdbi-perl, libdbd-pg-perl
Recommends: libnet-snmp-perl, libxml2-utils, libwww-perl, libxml-twig-perl
Conflicts: opennms-plugin-protocol-dhcp (<<${binary:Version}), opennms-plugin-protocol-xml (<<${binary:Version}), opennms-plugin-ticketing-otrs (<<${binary:Version}), opennms-plugin-ticketing-remedy (<<${binary:Version}), opennms-contrib (<<${binary:Version})
Replaces: opennms-plugin-protocol-dhcp (<<${binary:Version}), opennms-plugin-protocol-xml (<<${binary:Version}), opennms-plugin-provisioning-rancid (<<${binary:Version}), opennms-plugin-ticketing-otrs (<<${binary:Version}), opennms-plugin-ticketing-remedy (<<${binary:Version}), opennms-contrib (<<${binary:Version})
Breaks: opennms-plugin-provisioning-rancid (<<${binary:Version})
Provides: opennms-plugin-api (= OPA_VERSION)
Description: Enterprise-grade Open-source Network Management Platform (Common Files)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the common files required by both the main OpenNMS daemon
 and the OpenNMS web UI.

Package: libopennms-java
Architecture: all
Depends: opennms-common (=${binary:Version}), jicmp (>= 3.0.0), jicmp6 (>= 3.0.0)
Conflicts: opennms-plugin-protocol-xml (<<${binary:Version})
Replaces: opennms-common (<< 1.3.0), libicmp-jni (<< 1.3.0), opennms-plugin-protocol-xml (<<${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (OpenNMS Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the OpenNMS Java libraries.

Package: libopennmsdeps-java
Architecture: all
Depends: opennms-common (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Required Libraries)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the external Java libraries required by OpenNMS.

Package: opennms-doc
Section: contrib/doc
Architecture: all
Depends: opennms-common (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (Documentation)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package provides the user, administration, and programming documentation
 for OpenNMS.

Package: opennms-plugins
Architecture: all
Depends: opennms-plugin-northbounder-jms (=${binary:Version}), opennms-plugin-provisioning-dns (=${binary:Version}), opennms-plugin-provisioning-reverse-dns (=${binary:Version}), opennms-plugin-provisioning-snmp-asset (=${binary:Version}), opennms-plugin-provisioning-snmp-hardware-inventory (=${binary:Version}), opennms-plugin-provisioning-wsman-asset (=${binary:Version}), opennms-plugin-protocol-cifs (=${binary:Version}), opennms-plugin-protocol-nsclient (=${binary:Version}), opennms-plugin-protocol-radius (=${binary:Version}), opennms-plugin-collector-vtdxml-handler (=${binary:Version}), opennms-plugin-ticketer-jira (=${binary:Version}), opennms-plugin-ticketer-rt (=${binary:Version})
Description: Enterprise-grade Open-source Network Management Platform (All Plugins)
 OpenNMS is an enterprise-grade network management system written in Java.
 .
 OpenNMS can monitor various network services to determine status and service
 level availability.  Data collection is performed using protocols such as SNMP
 to generate reports and alert on thresholds.  An extensible event management
 and notification system handles both internally and externally generated
 events (such as SNMP traps), and generates notices via email, pager, SMS, etc.
 .
 This package installs all optional plugins for OpenNMS.

Package: opennms-plugin-northbounder-jms
Architecture: all
Depends: opennms-server (=${binary:Version})

=== opennms-assemblies/minion/src/main/filtered/debian/control ===
Source: opennms-minion
Maintainer: Benjamin Reed <ranger@opennms.org>
Section: contrib/net
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), dpkg-dev, oracle-java17-installer | jdk-17 | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | openjdk-17-jdk-headless | openjdk-17-jdk | java17-jdk | temurin-17-jdk, rsync

Package: opennms-minion
Architecture: all
Depends: adduser, openssh-client, uuid-runtime, sudo
Recommends: openjdk-17-jre-headless | openjdk-17-jre | adoptopenjdk-17-openj9xl-jre | adoptopenjdk-17-openj9-jre | adoptopenjdk-17-hotspot-jre | temurin-17-jdk | jdk-17, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Conflicts: opennms-minion-container (<< 25.0.0), opennms-minion-features-core (<<25.0.0), opennms-minion-features-default (<<25.0.0)
Provides: opennms-plugin-api (= OPA_VERSION)
Description: distributed OpenNMS monitoring client
 OpenNMS Minion is a container infrastructure for distributed, scalable network
 management and monitoring.
 .
 http://www.opennms.org/wiki/Minion

=== opennms-assemblies/sentinel/src/main/filtered/debian/control ===
Source: opennms-sentinel
Maintainer: Benjamin Reed <ranger@opennms.org>
Section: contrib/net
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), dpkg-dev, oracle-java17-installer | jdk-17 | adoptopenjdk-17-openj9xl | adoptopenjdk-17-openj9 | adoptopenjdk-17-hotspot | openjdk-17-jdk-headless | openjdk-17-jdk | java17-jdk | temurin-17-jdk, rsync

Package: opennms-sentinel
Architecture: all
Depends: adduser, openssh-client, uuid-runtime, sudo
Recommends: openjdk-17-jre-headless | openjdk-17-jre | adoptopenjdk-17-openj9xl-jre | adoptopenjdk-17-openj9-jre | adoptopenjdk-17-hotspot-jre | temurin-17-jdk | jdk-17, jicmp (>= 2.0.0), jicmp6 (>= 2.0.0)
Provides: opennms-plugin-api (= OPA_VERSION)
Description: horizontal scaling for OpenNMS
 OpenNMS Sentinel is a container for running a subset of OpenNMS
 services in a standalone container, suitable for horizontally
 scaling some subsystems, like flow telemetry processing.
 .
 http://www.opennms.org/wiki/Sentinel

=== debian/rules ===
#!/usr/bin/make -f

# $Id$

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export SHELL=/bin/bash

export JAVA_HOME=$(shell core/cli/src/main/resources/bin/find-java.sh 1.8 1.9)

export OPTS_ASSEMBLIES=-Passemblies
export OPTS_PROFILES=-Prun-expensive-tasks

export BUILDDEFINES=\
	-Dopennms.home=/usr/share/opennms \
	-Denable.license=true \
	-Ddist.dir=$(CURDIR)/debian -Ddist.name=temp \
	-Dinstall.dir=/usr/share/opennms \
	-Dinstall.bin.dir=/usr/share/opennms/bin \
	-Dinstall.rrdtool.bin=/usr/bin/rrdtool \
	-Dinstall.share.dir=/var/lib/opennms \
	-Dinstall.servlet.dir=/usr/share/opennms/webapps \
	-Dinstall.webapps.dir=/usr/share/opennms/webapps \
	-Dinstall.logs.dir=/var/log/opennms \
	-Dinstall.pid.file=/var/run/opennms/opennms.pid \
	-Dmaven.test.skip.exec=true \
	-DskipTests=true \
	-DskipITs=true \
	-Dproduct.release=1 \
	-Dproduct.snapshot=true \
	-Daether.connector.basic.threads=1 \
	-Daether.connector.resumeDownloads=false \
	--builder smart \
	--threads $${CCI_MAXCPU:-2} \
	$(OPTS_PROFILES)

configure:

STAMP_BUILD = debian/stamp-build
build: configure $(STAMP_BUILD)
$(STAMP_BUILD):
	dh_testdir
	# -Duser.home=$(HOME) is needed to get maven to use the correct ~/.m2/ directory when being run with fakeroot
	@if [ -z "$$OPENNMS_SKIP_COMPILE" ] || [ "$$OPENNMS_SKIP_COMPILE" = 0 ]; then \
		./compile.pl $(shell debian/get-build-args.sh) $(BUILDDEFINES) -PskipCompile install; \
	fi
	./assemble.pl $(shell debian/get-build-args.sh) -Dbuild.profile=fulldir $(BUILDDEFINES) -PskipCompile install
	find debian/temp -type d -name .svn -exec rm -rf {} \;
	find debian/temp -type d -name .git -exec rm -rf {} \;
	touch $(STAMP_BUILD)

clean:
	dh_testdir
	dh_testroot
	./compile.pl $(OPTS_PROFILES) $(OPTS_ASSEMBLIES) -Duser.home=$(HOME) -Ddist.dir=$(CURDIR)/debian -Ddist.name=temp clean
	dh_clean
	rm -f $(STAMP_BUILD)

install: build
	dh_testdir
	dh_clean -k --exclude=temp
	dh_installdirs
	dh_testroot

	rsync -avr --exclude=examples debian/temp/etc/ debian/opennms-common/var/lib/opennms/etc-pristine/
	chmod -R go-w debian/opennms-common/var/lib/opennms/etc-pristine/

	mkdir -p debian/opennms-common/var/lib/opennms/web-inf-pristine/spring-security.d/
	rsync -avr --exclude=examples debian/temp/jetty-webapps/opennms/WEB-INF/spring-security.d/ debian/opennms-common/var/lib/opennms/web-inf-pristine/spring-security.d/
	cp debian/temp/jetty-webapps/opennms/WEB-INF/applicationContext-spring-security.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/applicationContext-spring-security.xml
	cp debian/temp/jetty-webapps/opennms/WEB-INF/web.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/web.xml
	cp debian/temp/etc/examples/jetty.xml debian/opennms-common/var/lib/opennms/web-inf-pristine/jetty.xml
	chmod -R go-w debian/opennms-common/var/lib/opennms/web-inf-pristine/
	
	##
	## Setup the alarm northbounders
	##
	install -d -m 755 debian/opennms-plugin-northbounder-jms/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/etc/opennms
	install -d -m 755 debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-alarm-northbounder-jms-*.jar                                    debian/opennms-plugin-northbounder-jms/usr/share/java/opennms/
	mv debian/temp/etc/jms-northbounder-configuration.xml                                      debian/opennms-plugin-northbounder-jms/etc/opennms/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/jms-northbounder-configuration.xml   debian/opennms-plugin-northbounder-jms/var/lib/opennms/etc-pristine/
	sed -e 's,@PACKAGE@,opennms-plugin-northbounder-jms,g' debian/package-permissions.sh > debian/opennms-plugin-northbounder-jms.postinst
	
	##
	## Setup the provision adapter packages
	##
	install -d -m 755 debian/opennms-plugin-provisioning-{dns,link,map,reverse-dns,snmp-asset,snmp-hardware-inventory,wsman-asset}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory,wsman-asset}/etc/opennms
	install -d -m 755 debian/opennms-plugin-provisioning-{link,map,snmp-asset,snmp-hardware-inventory,wsman-asset}/var/lib/opennms/etc-pristine
	mv debian/temp/lib/opennms-dns-provisioning-adapter*.jar                 debian/opennms-plugin-provisioning-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-reverse-dns-provisioning-adapter*.jar         debian/opennms-plugin-provisioning-reverse-dns/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-asset-provisioning-adapter*.jar          debian/opennms-plugin-provisioning-snmp-asset/usr/share/java/opennms/
	mv debian/temp/lib/opennms-snmp-hardware-inventory-provisioning-adapter*.jar  debian/opennms-plugin-provisioning-snmp-hardware-inventory/usr/share/java/opennms/
	mv debian/temp/lib/opennms-wsman-asset-provisioning-adapter*.jar         debian/opennms-plugin-provisioning-wsman-asset/usr/share/java/opennms/
	mv debian/temp/etc/snmp-asset-adapter-configuration.xml                  debian/opennms-plugin-provisioning-snmp-asset/etc/opennms/
	mv debian/temp/etc/snmp-hardware-inventory-adapter-configuration.xml     debian/opennms-plugin-provisioning-snmp-hardware-inventory/etc/opennms/
	mv debian/temp/etc/wsman-asset-adapter-configuration.xml                 debian/opennms-plugin-provisioning-wsman-asset/etc/opennms/
	find debian/opennms-plugin*/etc/opennms -type f -execdir chmod 644 {} \;
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-dns,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-dns.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-link,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-link.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-map,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-map.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-reverse-dns,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-reverse-dns.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-snmp-asset,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-snmp-asset.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-snmp-hardware-inventory,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-snmp-hardware-inventory.postinst
	sed -e 's,@PACKAGE@,opennms-plugin-provisioning-wsman-asset,g' debian/package-permissions.sh > debian/opennms-plugin-provisioning-wsman-asset.postinst
	
	# etc-pristine version
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-asset-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-asset/var/lib/opennms/etc-pristine/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/snmp-hardware-inventory-adapter-configuration.xml debian/opennms-plugin-provisioning-snmp-hardware-inventory/var/lib/opennms/etc-pristine/
	mv debian/opennms-common/var/lib/opennms/etc-pristine/wsman-asset-adapter-configuration.xml debian/opennms-plugin-provisioning-wsman-asset/var/lib/opennms/etc-pristine/
	
	##
	## Setup the protocol packages
	##
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/etc/opennms
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-protocol-{cifs,nsclient,radius}/var/lib/opennms/xsds
	
	# Setup Juniper TCA collector
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/usr/share/java/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/etc-pristine
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/var/lib/opennms/xsds
	install -d -m 755 debian/opennms-plugin-collector-juniper-tca/etc/opennms/{datacollection,snmp-graph.properties.d}

=== opennms-assemblies/minion/src/main/filtered/debian/rules ===
#!/usr/bin/make -f

export CONTAINER_TYPE=minion
export CONTAINER_PREFIX=/usr/share/$(CONTAINER_TYPE)

export DH_VERBOSE=1
export JAVA_HOME=$(shell bin/find-java.sh 1.8 11.9999)
export PACKAGE_NAME=opennms-$(CONTAINER_TYPE)

export RUNTIME_PREFIX=/var/lib/$(CONTAINER_TYPE)
export REPO_PREFIX=$(CONTAINER_PREFIX)/repositories
export LOGDIR=/var/log/$(CONTAINER_TYPE)
export SYSCONFDIR=/etc/default
export ETCDIR=/etc/$(CONTAINER_TYPE)
export PIDFILE=$(LOGDIR)/$(CONTAINER_TYPE).pid

%:
	dh $@

# disable these
override_dh_update_autotools_config override_dh_strip_nondeterminism:

override_dh_auto_install:
	# make all the target directories
	mkdir -p \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc \
		$$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(LOGDIR) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)
	
	# copy all the files from the build tarball
	rsync -avr --exclude=debian $$(pwd)/ $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/
	
	# translate container prefix and etc directories in the init script, and put it in place
	sed -e "s,/opt/$(CONTAINER_TYPE)/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
			-e "s,/opt/$(CONTAINER_TYPE)/data/log/$(CONTAINER_TYPE).pid,$(PIDFILE),g" \
			-e "s,/opt/$(CONTAINER_TYPE),$(CONTAINER_PREFIX),g" \
			-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
			$$(pwd)/etc/$(CONTAINER_TYPE).init > $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/$(CONTAINER_TYPE) \
		&& chmod 755 $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/$(CONTAINER_TYPE) \
		&& rm -f $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc/$(CONTAINER_TYPE).init \
		&& sed -e "s,/opt/$(CONTAINER_TYPE)/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
			-e "s,/opt/$(CONTAINER_TYPE)/data/log/$(CONTAINER_TYPE).pid,$(PIDFILE),g" \
			-e "s,/opt/$(CONTAINER_TYPE),$(CONTAINER_PREFIX),g" \
			-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
			-e 's,/etc/init.d,$(CONTAINER_PREFIX)/bin,g' \
			$$(pwd)/etc/$(CONTAINER_TYPE).service > $$(pwd)/debian/$(CONTAINER_TYPE).service \
		&& rm -f $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc/$(CONTAINER_TYPE).service
	
	# fix the permissions-fixing scripts
	sed -i \
		-e 's,OPENNMS_HOME,MINION_HOME,g' \
		-e 's,opennms,minion,g' \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/fix-permissions \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/update-package-permissions
	
	# clean the data directory before packaging 
	rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/data/*
	
	# move etc / data / deploy directories to where they will live
	mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR) \
		&& ln -s ../../..$(ETCDIR) $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/data \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/deploy \
	
	# take care of some packaging/lintian warnings
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME).lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides/$(PACKAGE_NAME)
	rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/COPYING
	
	# move the .conf to /etc/defaults and change the default RUNAS
	sed -e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
		-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
		$$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/$(CONTAINER_TYPE).conf > $$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)/$(CONTAINER_TYPE) \
		&& rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/$(CONTAINER_TYPE).conf
	
	# change the logging directory
	sed -e "s,.{karaf.log},$(LOGDIR),g" -e "s,.{karaf.data}/log,$(LOGDIR),g" -e 's,/karaf.log,/$(CONTAINER_TYPE).log,g' $$(pwd)/etc/org.ops4j.pax.logging.cfg > $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/org.ops4j.pax.logging.cfg
	
	# install the startup scripts
	dh_systemd_enable --name=$(CONTAINER_TYPE) --no-enable debian/$(CONTAINER_TYPE).service
	dh_systemd_start --name=$(CONTAINER_TYPE) --no-restart-after-upgrade
	
	# set the default location
	echo "location = MINION" > $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/org.opennms.$(CONTAINER_TYPE).controller.cfg \
		&& echo "id = 00000000-0000-0000-0000-000000ddba11" >> $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/org.opennms.$(CONTAINER_TYPE).controller.cfg
	
override_dh_builddeb:
	dh_builddeb -- -Zgzip

=== opennms-assemblies/sentinel/src/main/filtered/debian/rules ===
#!/usr/bin/make -f

export CONTAINER_TYPE=sentinel
export CONTAINER_PREFIX=/usr/share/$(CONTAINER_TYPE)

export DH_VERBOSE=1
export JAVA_HOME=$(shell bin/find-java.sh 1.8 11.9999)
export PACKAGE_NAME=opennms-$(CONTAINER_TYPE)

export RUNTIME_PREFIX=/var/lib/$(CONTAINER_TYPE)
export REPO_PREFIX=$(CONTAINER_PREFIX)/repositories
export LOGDIR=/var/log/$(CONTAINER_TYPE)
export SYSCONFDIR=/etc/default
export ETCDIR=/etc/$(CONTAINER_TYPE)
export PIDFILE=$(LOGDIR)/$(CONTAINER_TYPE).pid

%:
	dh $@

# disable these
override_dh_update_autotools_config override_dh_strip_nondeterminism:

override_dh_auto_install:
	# make all the target directories
	mkdir -p \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc \
		$$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(LOGDIR) \
		$$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)
	
	# copy all the files from the build tarball
	rsync -avr --exclude=debian $$(pwd)/ $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/
	
	# translate container prefix and etc directories in the init script, and put it in place
	sed -e "s,/opt/$(CONTAINER_TYPE)/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
			-e "s,/opt/$(CONTAINER_TYPE)/data/log/$(CONTAINER_TYPE).pid,$(PIDFILE),g" \
			-e "s,/opt/$(CONTAINER_TYPE),$(CONTAINER_PREFIX),g" \
			-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
			$$(pwd)/etc/$(CONTAINER_TYPE).init > $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/$(CONTAINER_TYPE) \
		&& chmod 755 $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/$(CONTAINER_TYPE) \
		&& rm -f $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc/$(CONTAINER_TYPE).init \
		&& sed -e "s,/opt/$(CONTAINER_TYPE)/etc,$(SYSCONFDIR),g" \
			-e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
			-e "s,/opt/$(CONTAINER_TYPE)/data/log/$(CONTAINER_TYPE).pid,$(PIDFILE),g" \
			-e "s,/opt/$(CONTAINER_TYPE),$(CONTAINER_PREFIX),g" \
			-e 's,PING_REQUIRED=FALSE,PING_REQUIRED=TRUE,g' \
			-e 's,/etc/init.d,$(CONTAINER_PREFIX)/bin,g' \
			$$(pwd)/etc/$(CONTAINER_TYPE).service > $$(pwd)/debian/$(CONTAINER_TYPE).service \
		&& rm -f $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc/$(CONTAINER_TYPE).service
	
	# fix the permissions-fixing scripts
	sed -i \
		-e 's,OPENNMS_HOME,SENTINEL_HOME,g' \
		-e 's,opennms,sentinel,g' \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/fix-permissions \
		$$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/bin/update-package-permissions
	
	# move etc / data / deploy directories to where they will live
	mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR) \
		&& ln -s ../../..$(ETCDIR) $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/etc \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/data $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/data \
		&& mv $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(RUNTIME_PREFIX)/ \
		&& ln -s ../../..$(RUNTIME_PREFIX)/deploy $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/deploy \
	
	# take care of some packaging/lintian warnings
	mkdir -p $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides
	install -c -m 644 $$(pwd)/debian/$(PACKAGE_NAME).lintian-overrides $$(pwd)/debian/$(PACKAGE_NAME)/usr/share/lintian/overrides/$(PACKAGE_NAME)
	rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(CONTAINER_PREFIX)/COPYING
	
	# move the .conf to /etc/defaults and change the default RUNAS
	sed -e "s,RUNAS=opennms,RUNAS=$(CONTAINER_TYPE),g" \
		$$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/$(CONTAINER_TYPE).conf > $$(pwd)/debian/$(PACKAGE_NAME)$(SYSCONFDIR)/$(CONTAINER_TYPE) \
		&& rm -rf $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/$(CONTAINER_TYPE).conf
	
	# change the logging directory
	sed -e "s,.{karaf.log},$(LOGDIR),g" -e "s,.{karaf.data}/log,$(LOGDIR),g" -e 's,/karaf.log,/$(CONTAINER_TYPE).log,g' $$(pwd)/etc/org.ops4j.pax.logging.cfg > $$(pwd)/debian/$(PACKAGE_NAME)$(ETCDIR)/org.ops4j.pax.logging.cfg
	
	# install the startup scripts
	dh_systemd_enable --name=$(CONTAINER_TYPE) --no-enable debian/$(CONTAINER_TYPE).service
	dh_systemd_start --name=$(CONTAINER_TYPE) --no-restart-after-upgrade

override_dh_builddeb:
	dh_builddeb -- -Zgzip
